Get Assembly Orders Statuses
POST /api/v3/orders/statusBase URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Assembly Orders · Specification doc ↗
Returns the statuses of assembly orders from the request. supplierStatus is a status of an assembly order. Its change is always triggered only by the seller. Possible values of supplierStatus:
| Status | Description | How to move the assembly orders to this status |
|---|---|---|
new | **New order** | |
confirm | **In assembly** For delivery by Wildberries fbs | Add assembly orders to the supply Transfer orders from supply to assembly |
complete | **In delivery** For delivery by Wildberries fbs and by WB courier wbgo | Transfer the supply to delivery |
cancel | **Canceled by seller** | Cancel the order |
cancel\_carrier | **Canceled by carrier** For crossborder only | Changed by the carrier |
wbStatus — is a status of an order on the Wildberries side. | ||
| Possible values for this field are: |
waiting— the seller confirmed the order, and the Wildberries has not received it yetsorted— the Wildberries warehouse sorted the ordersold— the order is soldcanceled— the seller canceled the ordercanceled\_by\_client— the buyer canceled the order upon receiptdeclined\_by\_client— the buyer canceled the order in the first hour Cancellation is available to the buyer in the first hour from the moment of order, if the order is not transferred to confirm status.defect— cancellation of the order due to a defectready\_for\_pickup— the order came at pickup point and waiting for the clientpostponed\_delivery— courier delivery is postponedaccepted\_by\_carrier— accepted by carrier. The order is handed over to delivery service in the seller countrysent\_to\_carrier— dispatched to carrier. The order is on the way to delivery service's warehouse in the sellercanceled\_by\_carrier— the order was cancelled by the carrier. For crossborder only
Request limit per one seller account for FBS assembly orders, supplies, passes and auto-return settings methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema object, optional
ordersinteger<int64>[](required) — List of assembly order IDs
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | PostV3OrdersStatusResponse200 |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
429 | Too many requests | object |
Structure 200:
ordersobject[]idinteger<int64>— Assembly order IDisCancellableboolean— Whether assembly order cancellation is available: -false— not available -true— availableisTransferableboolean— Can be moved from delivery to assembly: -false— not available -true— available An assembly order can be moved from delivery to assembly if all the following conditions are met: - the assembly order is in thecompletestatus — in delivery - the supply to which the assembly order needs to be moved is not transferred to delivery - the assembly order has not been moved beforesupplierStatusstring=new|confirm|complete|cancel— Assembly order status set by the sellerwbStatusstring=waiting|sorted|sold|canceled|canceled_by_client|declined_by_client|defect|ready_for_pickup|postponed_delivery|accepted_by_carrier|sent_to_carrier— Assembly order status set by WB system
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))
result = api.post_v3_orders_status(post_v3_orders_status_request=...)
print(result)import {
Configuration,
OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);
const { data } = await api.postV3OrdersStatus(postV3OrdersStatusRequest);
console.log(data);import (
"context"
"fmt"
wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)
cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)
result, _, err := client.OrdersFbsAPI.PostV3OrdersStatus(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);
System.out.println(api.postV3OrdersStatus(postV3OrdersStatusRequest));use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);
print_r($api->postV3OrdersStatus());#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);
Сообщить(Клиент.PostV3OrdersStatus(Тело).Тело);using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);
Console.WriteLine(api.PostV3OrdersStatus());use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbs_api::post_v3_orders_status(&cfg, post_v3_orders_status_request).await;
println!("{:#?}", result);
}